<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Home</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding #scrollMe [scrollTop]="scrollMe.scrollHeight">
  <ion-infinite-scroll (ionInfinite)="loadMessagesOnScroll($event)">
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll>

  <ion-list *ngFor="let message of messageList">
    <ion-item *ngIf="nickName === message.sender.userId" class="currentUserParent">
      <div class="currentUser">
        <div>
          {{ message.message }}
        </div>
        <iframe *ngIf="message.message.includes('https://www.youtube.com/watch?v=')" width="320" height="240" [src]="message.message | sanitizerPipe" allow="autoplay; encrypted-media"></iframe>
      </div>
    </ion-item>
    <ion-item *ngIf="nickName !== message.sender.userId">
      <div class="otherUser">
        <div>
          {{ message.sender.userId }}: {{ message.message }}
        </div>
        <iframe *ngIf="message.message.includes('https://www.youtube.com/watch?v=')" width="320" height="240" [src]="message.message | sanitizerPipe" allow="autoplay; encrypted-media"></iframe>
      </div>
    </ion-item>
  </ion-list>

  <form #f="ngForm" (ngSubmit)="sendMessage(f)">
    <ion-list>
      <ion-item>
        <ion-label floating>New message...</ion-label>
        <ion-input type="text" [(ngModel)]="message" name="message" maxlength="500" required></ion-input>
      </ion-item>
    </ion-list>
    <button ion-button block type="submit" [disabled]="!f.valid">Send</button>
  </form>
</ion-content>